if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::RTBR_ServerControl_Hook)
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
	RTB_registerPref("Dropping Items Disabled", "Item Drop", "$Pref::Server::DropDisabled", "bool", "Script_DisableDrop", true, true, true, onDroppingChanged);
	RTB_registerPref("Drop Error Message Enabled", "Item Drop", "$Pref::Server::DropShowError", "bool", "Script_DisableDrop", false, false, false);
	RTB_registerPref("Drop Error Admin Messages", "Item Drop", "$Pref::Server::DropShowAdmin", "bool", "Script_DisableDrop", true, false, false);
}
else
{
	$Pref::Server::DropDisabled = true;
	$Pref::Server::DropShowError = false;
	$Pref::Server::DropShowAdmin = true;
}

function serverCmdToggleDropping(%client)
{
	if(!(%client.isAdmin || %client.isSuperAdmin))
		return;
	$Pref::Server::DropDisabled = !$Pref::Server::DropDisabled;
	if(!$Pref::Server::DropShowAdmin)
		return;
	%msg = ($Pref::Server::DropDisabled ?	"\c6" @ %client.getPlayerName() @ "\c0 has disabled item dropping." :
											"\c6" @ %client.getPlayerName() @ "\c0 has enabled item dropping.");
	messageAll('', %msg);
}

function onDroppingChanged(%old, %new)
{
	if(!$Pref::Server::DropShowAdmin)
		return;

	%msg = (%new ?	"Item dropping has been disabled through RTB prefs." :
					"Item dropping has been enabled through RTB prefs.");
	
	messageAll('', %msg);
}

package DisableDrop
{
	function serverCmdDropTool(%client, %slot)
	{
		if($Pref::Server::DropDisabled)
		{
			if($Pref::Server::DropShowError)
				messageClient(%client, '', "Dropping items is disabled.");
			return;
		}
		parent::serverCmdDropTool(%client, %slot);
	}
};
activatePackage(DisableDrop);